import java_cup.runtime.*;

public class Analyzer {
    public static void main (String[] args) {
        if (args.length < 1) {
            System.err.println("Please enter a file name.");
            System.exit(1);
        }
        try {
            parser parser = new parser(new scanner(args[0]));
            Symbol sym = parser.parse();
            Prog p = (Prog)sym.value;
            StringVisitor v = new StringVisitor();
            p.visit(v);
            System.out.println("Program:\n\n" + v.result());
        } catch (Exception e) {}
    }
}
